Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.matrix
Class MatrixTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.matrix.MatrixTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, TableModel

Direct Known Subclasses:
  ClassMatrixTableModel, PropertyMatrixTableModel

    public class MatrixTableModel

extends AbstractTableModel
implements edu.stanford.smi.protege.util.Disposable

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`static int` | `COL_NAME`
`static int` | `COL_PREFIX`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`MatrixTableModel(OWLModel owlModel, MatrixFilter filter)`

Method Summary
`void` | `addColumn(MatrixColumn column)` Adds a new MatrixColumn programmatically.
`protected void` | `addDefaultColumns()`
`void` | `dispose()`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`RDFResource` | `getInstance(int row)`
`MatrixColumn` | `getMatrixColumn(int column)`
`int` | `getNewColumnIndex(MatrixColumn col)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`Collection` | `getVisibleAnnotationProperties()`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`protected boolean` | `isDependentOn(RDFResource instance)`
`boolean` | `isSortableColumn(int column)`
`void` | `refill()`
`void` | `setSortColumn(int column)`
`void` | `setValueAt(Object value, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COL_NAME

    public static final int COL_NAME

See Also:
  Constant Field Values

### COL_PREFIX

    public static final int COL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### MatrixTableModel

    public MatrixTableModel(OWLModel owlModel,
                            MatrixFilter filter)

Method Detail

### addColumn

    public void addColumn(MatrixColumn column)

  Adds a new MatrixColumn programmatically. This should not be called by user code directly: Instead, use the corresponding method in MatrixTable.

  Parameters:
    `column` - the MatrixColumn to add
  See Also:
    `MatrixTable.addColumn(edu.stanford.smi.protegex.owl.ui.matrix.MatrixColumn)`

### addDefaultColumns

    protected void addDefaultColumns()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getInstance

    public RDFResource getInstance(int row)

### getMatrixColumn

    public MatrixColumn getMatrixColumn(int column)

### getNewColumnIndex

    public int getNewColumnIndex(MatrixColumn col)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

### getVisibleAnnotationProperties

    public Collection getVisibleAnnotationProperties()

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### isDependentOn

    protected boolean isDependentOn(RDFResource instance)

### isSortableColumn

    public boolean isSortableColumn(int column)

### refill

    public void refill()

### setSortColumn

    public void setSortColumn(int column)

### setValueAt

    public void setValueAt(Object value,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.